curl --request PUT \
--url https://api.dooki.com.br/v2/{alias}/customers/clusters/{clusterId}/shipping-rules/{id} \
--header 'Content-Type: application/json' \
--header 'User-Secret-Key: <api-key>' \
--header 'User-Token: <api-key>' \
--data '
{
"cluster_id": 123,
"country": "<string>",
"zipcode_min": 123,
"zipcode_max": 123,
"min_order_value": "<string>",
"shipment_percent": 123
}
'import requests
url = "https://api.dooki.com.br/v2/{alias}/customers/clusters/{clusterId}/shipping-rules/{id}"
payload = {
"cluster_id": 123,
"country": "<string>",
"zipcode_min": 123,
"zipcode_max": 123,
"min_order_value": "<string>",
"shipment_percent": 123
}
headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'User-Token': '<api-key>',
'User-Secret-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
cluster_id: 123,
country: '<string>',
zipcode_min: 123,
zipcode_max: 123,
min_order_value: '<string>',
shipment_percent: 123
})
};
fetch('https://api.dooki.com.br/v2/{alias}/customers/clusters/{clusterId}/shipping-rules/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"cluster_id": 123,
"name": "<string>",
"country": "<string>",
"zipcode_min": 123,
"zipcode_max": 123,
"min_order_value": 123,
"shipment_discount_percent": 123,
"created_at": {
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
},
"updated_at": {
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
}
}Atualizar regra de frete
Atualiza uma regra de frete específica de um cluster
Path Parameters
Alias da loja
ID do cluster
ID da regra de frete
Body
Representa os dados necessários para criar ou atualizar uma regra de frete do cluster
Response
Regra de frete atualizada com sucesso
Regra de frete de um cluster: define o desconto de frete por faixa de CEP e valor mínimo de pedido para os clientes do cluster.
Identificador único da regra de frete.
ID do cluster ao qual a regra de frete pertence.
Nome da regra de frete.
País ao qual a regra de frete se aplica.
CEP inicial da faixa atendida pela regra de frete.
CEP final da faixa atendida pela regra de frete.
Valor mínimo de pedido para que a regra de frete seja aplicada, em reais.
Percentual de desconto aplicado sobre o frete quando a regra é atendida.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?